export declare const interfaces: {
    "google.cloud.iot.v1.DeviceManager": {
        "retry_codes": {
            "non_idempotent": never[];
            "idempotent": string[];
            "deadline_exceeded_resource_exhausted_unavailable": string[];
        };
        "retry_params": {
            "default": {
                "initial_retry_delay_millis": number;
                "retry_delay_multiplier": number;
                "max_retry_delay_millis": number;
                "initial_rpc_timeout_millis": number;
                "rpc_timeout_multiplier": number;
                "max_rpc_timeout_millis": number;
                "total_timeout_millis": number;
            };
            "01d6d956b4dadd7e38ee9dec12ed8720e6e6f90c": {
                "initial_retry_delay_millis": number;
                "retry_delay_multiplier": number;
                "max_retry_delay_millis": number;
                "initial_rpc_timeout_millis": number;
                "rpc_timeout_multiplier": number;
                "max_rpc_timeout_millis": number;
                "total_timeout_millis": number;
            };
        };
        "methods": {
            "CreateDeviceRegistry": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "GetDeviceRegistry": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "UpdateDeviceRegistry": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "DeleteDeviceRegistry": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "ListDeviceRegistries": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "CreateDevice": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "GetDevice": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "UpdateDevice": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "DeleteDevice": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "ListDevices": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "ModifyCloudToDeviceConfig": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "ListDeviceConfigVersions": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "ListDeviceStates": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "SetIamPolicy": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "GetIamPolicy": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "TestIamPermissions": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "SendCommandToDevice": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "BindDeviceToGateway": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
            "UnbindDeviceFromGateway": {
                "timeout_millis": number;
                "retry_codes_name": string;
                "retry_params_name": string;
            };
        };
    };
};
